curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.youtube.com/playlist?list=PLrAXtmErZgOeiKm4sgNOknGvNjby9efdf"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lk56epmy2i5g7lzu0k¬ify=false&include_errors=true&type=discover_new&discover_by=podcast_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lk56epmy2i5g7lzu0k",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "podcast_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"url": "https://www.youtube.com/playlist?list=PLrAXtmErZgOeiKm4sgNOknGvNjby9efdf",
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lk56epmy2i5g7lzu0k",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "podcast_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
url: "https://www.youtube.com/playlist?list=PLrAXtmErZgOeiKm4sgNOknGvNjby9efdf",
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"url": "https://www.youtube.com/watch?v=4L_m0m3bEtE",
"title": "Video Title Here",
"youtuber": "@channelname",
"video_url": "https://...",
"video_length": 96,
"likes": 18,
"views": 1648,
"date_posted": "2025-04-18T05:26:16.000Z",
"description": "Video description...",
"num_comments": 0,
"subscribers": 4810000,
"video_id": "4L_m0m3bEtE",
"channel_url": "https://www.youtube.com/@channelname",
"preview_image": "https://i.ytimg.com/vi/4L_m0m3bEtE/maxresdefault.jpg",
"shortcode": "4L_m0m3bEtE",
"verified": true,
"handle_name": "Channel Name",
"is_sponsored": false,
"quality": "hd1080",
"transcript": "...",
"tags": ["tag1", "tag2"],
"is_age_restricted": false
}
]
YouTube
Discover YouTube videos by podcast URL
Discover YouTube podcast videos by podcast playlist URL with the Bright Data Scraper API: POST /datasets/v3/scrape, dataset_id gd_lk56epmy2i5g7lzu0k.
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.youtube.com/playlist?list=PLrAXtmErZgOeiKm4sgNOknGvNjby9efdf"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lk56epmy2i5g7lzu0k¬ify=false&include_errors=true&type=discover_new&discover_by=podcast_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lk56epmy2i5g7lzu0k",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "podcast_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"url": "https://www.youtube.com/playlist?list=PLrAXtmErZgOeiKm4sgNOknGvNjby9efdf",
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lk56epmy2i5g7lzu0k",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "podcast_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
url: "https://www.youtube.com/playlist?list=PLrAXtmErZgOeiKm4sgNOknGvNjby9efdf",
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"url": "https://www.youtube.com/watch?v=4L_m0m3bEtE",
"title": "Video Title Here",
"youtuber": "@channelname",
"video_url": "https://...",
"video_length": 96,
"likes": 18,
"views": 1648,
"date_posted": "2025-04-18T05:26:16.000Z",
"description": "Video description...",
"num_comments": 0,
"subscribers": 4810000,
"video_id": "4L_m0m3bEtE",
"channel_url": "https://www.youtube.com/@channelname",
"preview_image": "https://i.ytimg.com/vi/4L_m0m3bEtE/maxresdefault.jpg",
"shortcode": "4L_m0m3bEtE",
"verified": true,
"handle_name": "Channel Name",
"is_sponsored": false,
"quality": "hd1080",
"transcript": "...",
"tags": ["tag1", "tag2"],
"is_age_restricted": false
}
]
Query Parameters
string
default:"gd_lk56epmy2i5g7lzu0k"
required
The dataset ID used for this request.
Must be set to
gd_lk56epmy2i5g7lzu0k to collect Discover Videos by Podcast URL data.string
default:"discover_new"
Must be set to
discover_new.string
default:"podcast_url"
Must be set to
podcast_url.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"url":"https://www.youtube.com/playlist?list=PLrAXtmErZgOeiKm4sgNOknGvNjby9efdf"}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lk56epmy2i5g7lzu0k¬ify=false&include_errors=true&type=discover_new&discover_by=podcast_url"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lk56epmy2i5g7lzu0k",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "podcast_url",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"url": "https://www.youtube.com/playlist?list=PLrAXtmErZgOeiKm4sgNOknGvNjby9efdf",
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lk56epmy2i5g7lzu0k",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "podcast_url",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
url: "https://www.youtube.com/playlist?list=PLrAXtmErZgOeiKm4sgNOknGvNjby9efdf",
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"url": "https://www.youtube.com/watch?v=4L_m0m3bEtE",
"title": "Video Title Here",
"youtuber": "@channelname",
"video_url": "https://...",
"video_length": 96,
"likes": 18,
"views": 1648,
"date_posted": "2025-04-18T05:26:16.000Z",
"description": "Video description...",
"num_comments": 0,
"subscribers": 4810000,
"video_id": "4L_m0m3bEtE",
"channel_url": "https://www.youtube.com/@channelname",
"preview_image": "https://i.ytimg.com/vi/4L_m0m3bEtE/maxresdefault.jpg",
"shortcode": "4L_m0m3bEtE",
"verified": true,
"handle_name": "Channel Name",
"is_sponsored": false,
"quality": "hd1080",
"transcript": "...",
"tags": ["tag1", "tag2"],
"is_age_restricted": false
}
]
Was this page helpful?